Bug 185342 - net-im/gloox: Update to version 1.0.9
Summary: net-im/gloox: Update to version 1.0.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-30 21:10 UTC by tkato432
Modified: 2014-02-19 23:48 UTC (History)
0 users

See Also:


Attachments
file.diff (10.39 KB, patch)
2013-12-30 21:10 UTC, tkato432
no flags Details | Diff
net-im_gloox.diff (15.19 KB, patch)
2014-01-17 15:58 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-30 21:10:10 UTC
- Update to version 1.0.9

New file:
files/patch-src__examples__e2ee_client.cpp
files/patch-src__examples__e2ee_server.cpp
files/patch-src__examples__ft_recv.cpp
files/patch-src__tlsgnutlsclient.cpp
files/patch-src__tlsgnutlsclient.h
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-12-31 03:08:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 tkato432 2014-01-17 15:58:02 UTC
Remake of the patch against current tree.
Comment 3 dfilter service freebsd_committer 2014-02-19 23:30:23 UTC
Author: danilo
Date: Wed Feb 19 23:30:13 2014
New Revision: 345163
URL: http://svnweb.freebsd.org/changeset/ports/345163
QAT: https://qat.redports.org/buildarchive/r345163/

Log:
  - Update from 1.0 to 1.0.9
  - Add LICENSE
  
  PR:		ports/185342
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Added:
  head/net-im/gloox/files/patch-src__examples__e2ee_client.cpp
     - copied, changed from r345089, head/net-im/gloox/files/patch-src-examples-e2ee_client.cpp
  head/net-im/gloox/files/patch-src__examples__e2ee_server.cpp
     - copied, changed from r345089, head/net-im/gloox/files/patch-src-examples-e2ee_server.cpp
  head/net-im/gloox/files/patch-src__examples__ft_recv.cpp
     - copied, changed from r345089, head/net-im/gloox/files/patch-src-examples-ft_recv.cpp
  head/net-im/gloox/files/patch-src__tlsgnutlsclient.cpp   (contents, props changed)
  head/net-im/gloox/files/patch-src__tlsgnutlsclient.h   (contents, props changed)
Deleted:
  head/net-im/gloox/files/patch-src-examples-bosh_example.cpp
  head/net-im/gloox/files/patch-src-examples-e2ee_client.cpp
  head/net-im/gloox/files/patch-src-examples-e2ee_server.cpp
  head/net-im/gloox/files/patch-src-examples-ft_recv.cpp
  head/net-im/gloox/files/patch-src-examples-ft_send.cpp
  head/net-im/gloox/files/patch-src-examples-message_example.cpp
  head/net-im/gloox/files/patch-src-examples-pubsub_example.cpp
  head/net-im/gloox/files/patch-src-util.h
Modified:
  head/net-im/gloox/Makefile
  head/net-im/gloox/distinfo
  head/net-im/gloox/pkg-descr
  head/net-im/gloox/pkg-plist
  head/net-im/licq-jabber/Makefile

Modified: head/net-im/gloox/Makefile
==============================================================================
--- head/net-im/gloox/Makefile	Wed Feb 19 23:26:09 2014	(r345162)
+++ head/net-im/gloox/Makefile	Wed Feb 19 23:30:13 2014	(r345163)
@@ -2,32 +2,35 @@
 # $FreeBSD$
 
 PORTNAME=	gloox
-PORTVERSION=	1.0
-PORTREVISION=	3
+PORTVERSION=	1.0.9
 CATEGORIES=	net-im
 MASTER_SITES=	http://camaya.net/download/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Jabber/XMPP client library
 
+LICENSE=	GPLv3
+
 LIB_DEPENDS=	libidn.so:${PORTSDIR}/dns/libidn \
 		libgnutls.so:${PORTSDIR}/security/gnutls
 
-USE_AUTOTOOLS=	libtool
 USE_BZIP2=	yes
-USES=	pathfix pkgconfig
+USES=		compiler:c++11-lang libtool pathfix pkgconfig
+USE_LDCONFIG=	yes
 GNU_CONFIGURE=	yes
-CPPFLAGS+=	${CXXFLAGS} -I${LOCALBASE}/include
+
+CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
-USE_LDCONFIG=	yes
 
-post-patch:
-	@${REINPLACE_CMD} -e 's|libgnutls-config|pkg-config gnutls|' ${WRKSRC}/configure
+.include <bsd.port.pre.mk>
+
+.if ${OSVERSION} < 900033
+USE_BINUTILS=	yes
+LDFLAGS+=	-B${LOCALBASE}/bin
+.endif
 
-post-install:
-	${FIND} ${STAGEDIR}${PREFIX}/include/gloox ! -type d | \
-		${SED} "s,${STAGEDIR}${PREFIX}/,," >> ${TMPPLIST}
-	${FIND} ${STAGEDIR}${PREFIX}/include/gloox -type d | ${SORT} -r | \
-		${SED} "s,${STAGEDIR}${PREFIX}/,@dirrm ," >> ${TMPPLIST}
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|-lgcrypt||' ${WRKSRC}/configure
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>

Modified: head/net-im/gloox/distinfo
==============================================================================
--- head/net-im/gloox/distinfo	Wed Feb 19 23:26:09 2014	(r345162)
+++ head/net-im/gloox/distinfo	Wed Feb 19 23:30:13 2014	(r345163)
@@ -1,2 +1,2 @@
-SHA256 (gloox-1.0.tar.bz2) = b53f3e83e97f2f8d46e482620389b7778b7b0d95b2518ce5e1ae6d81bb2bcde8
-SIZE (gloox-1.0.tar.bz2) = 603434
+SHA256 (gloox-1.0.9.tar.bz2) = 143dd50e1edc4eb1d304fa28bdd6ab9e53b60c37c1726dd0e34c06c51f9a453e
+SIZE (gloox-1.0.9.tar.bz2) = 670206

Copied and modified: head/net-im/gloox/files/patch-src__examples__e2ee_client.cpp (from r345089, head/net-im/gloox/files/patch-src-examples-e2ee_client.cpp)
==============================================================================
--- head/net-im/gloox/files/patch-src-examples-e2ee_client.cpp	Wed Feb 19 12:52:05 2014	(r345089, copy source)
+++ head/net-im/gloox/files/patch-src__examples__e2ee_client.cpp	Wed Feb 19 23:30:13 2014	(r345163)
@@ -1,10 +1,13 @@
---- src/examples/e2ee_client.cpp.orig	2009-10-13 20:57:34.000000000 +0200
-+++ src/examples/e2ee_client.cpp	2013-12-26 22:57:55.817222888 +0100
-@@ -15,6 +15,7 @@
- #include <stdio.h>
- #include <locale.h>
- #include <string>
+--- src/examples/e2ee_client.cpp.orig
++++ src/examples/e2ee_client.cpp
+@@ -12,8 +12,8 @@
+ using namespace gloox;
+ 
+ #include <unistd.h>
+-#include <stdio.h>
+-#include <locale.h>
 +#include <ctime>
++#include <clocale>
+ #include <string>
  
  #include <cstdio> // [s]print[f]
- 

Copied and modified: head/net-im/gloox/files/patch-src__examples__e2ee_server.cpp (from r345089, head/net-im/gloox/files/patch-src-examples-e2ee_server.cpp)
==============================================================================
--- head/net-im/gloox/files/patch-src-examples-e2ee_server.cpp	Wed Feb 19 12:52:05 2014	(r345089, copy source)
+++ head/net-im/gloox/files/patch-src__examples__e2ee_server.cpp	Wed Feb 19 23:30:13 2014	(r345163)
@@ -1,10 +1,13 @@
---- src/examples/e2ee_server.cpp.orig	2009-10-13 20:47:21.000000000 +0200
-+++ src/examples/e2ee_server.cpp	2013-12-26 22:58:00.534218841 +0100
-@@ -15,6 +15,7 @@
- #include <stdio.h>
- #include <locale.h>
- #include <string>
+--- src/examples/e2ee_server.cpp.orig
++++ src/examples/e2ee_server.cpp
+@@ -12,8 +12,8 @@
+ using namespace gloox;
+ 
+ #include <unistd.h>
+-#include <stdio.h>
+-#include <locale.h>
 +#include <ctime>
++#include <clocale>
+ #include <string>
  
  #include <cstdio> // [s]print[f]
- 

Copied and modified: head/net-im/gloox/files/patch-src__examples__ft_recv.cpp (from r345089, head/net-im/gloox/files/patch-src-examples-ft_recv.cpp)
==============================================================================
--- head/net-im/gloox/files/patch-src-examples-ft_recv.cpp	Wed Feb 19 12:52:05 2014	(r345089, copy source)
+++ head/net-im/gloox/files/patch-src__examples__ft_recv.cpp	Wed Feb 19 23:30:13 2014	(r345163)
@@ -1,10 +1,11 @@
---- src/examples/ft_recv.cpp.orig	2009-10-06 15:14:26.000000000 +0200
-+++ src/examples/ft_recv.cpp	2013-12-26 22:58:05.182220399 +0100
-@@ -13,6 +13,7 @@
+--- src/examples/ft_recv.cpp.orig
++++ src/examples/ft_recv.cpp
+@@ -11,7 +11,7 @@
+ using namespace gloox;
+ 
  #include <unistd.h>
- #include <stdio.h>
- #include <string>
+-#include <stdio.h>
 +#include <ctime>
+ #include <string>
  
  #include <cstdio> // [s]print[f]
- 

Added: head/net-im/gloox/files/patch-src__tlsgnutlsclient.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/gloox/files/patch-src__tlsgnutlsclient.cpp	Wed Feb 19 23:30:13 2014	(r345163)
@@ -0,0 +1,24 @@
+--- src/tlsgnutlsclient.cpp.orig
++++ src/tlsgnutlsclient.cpp
+@@ -18,12 +18,6 @@
+ 
+ #include <errno.h>
+ 
+-#ifdef HAVE_PTHREAD
+-extern "C" {
+-GCRY_THREAD_OPTION_PTHREAD_IMPL;
+-}
+-#endif
+-
+ namespace gloox
+ {
+ 
+@@ -48,8 +42,6 @@
+                            const std::string& /*clientCerts*/,
+                            const StringList& /*cacerts*/ )
+   {
+-    gcry_control( GCRYCTL_SET_THREAD_CBS, &gcry_threads_pthread );
+-
+     const int protocolPriority[] = {
+ #ifdef GNUTLS_TLS1_2
+       GNUTLS_TLS1_2,

Added: head/net-im/gloox/files/patch-src__tlsgnutlsclient.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/gloox/files/patch-src__tlsgnutlsclient.h	Wed Feb 19 23:30:13 2014	(r345163)
@@ -0,0 +1,10 @@
+--- src/tlsgnutlsclient.h.orig
++++ src/tlsgnutlsclient.h
+@@ -23,7 +23,6 @@
+ 
+ #include <gnutls/gnutls.h>
+ #include <gnutls/x509.h>
+-#include <gcrypt.h>
+ 
+ namespace gloox
+ {

Modified: head/net-im/gloox/pkg-descr
==============================================================================
--- head/net-im/gloox/pkg-descr	Wed Feb 19 23:26:09 2014	(r345162)
+++ head/net-im/gloox/pkg-descr	Wed Feb 19 23:30:13 2014	(r345163)
@@ -1,8 +1,6 @@
 gloox is a full-featured Jabber/XMPP client without GUI, written
 in C++ and implemented as a shared library. It makes writing
 spec-compliant clients easy and allows for hassle-free integration
-of Jabber/XMPP functionality into extisting applications. gloox
-is released under the GNU GPL. Commercial licensing and support
-are available.
+of Jabber/XMPP functionality into extisting applications.
 
 WWW: http://camaya.net/gloox

Modified: head/net-im/gloox/pkg-plist
==============================================================================
--- head/net-im/gloox/pkg-plist	Wed Feb 19 23:26:09 2014	(r345162)
+++ head/net-im/gloox/pkg-plist	Wed Feb 19 23:30:13 2014	(r345163)
@@ -1,6 +1,156 @@
 bin/gloox-config
+include/gloox/adhoc.h
+include/gloox/adhoccommandprovider.h
+include/gloox/adhochandler.h
+include/gloox/amp.h
+include/gloox/annotations.h
+include/gloox/annotationshandler.h
+include/gloox/atomicrefcount.h
+include/gloox/attention.h
+include/gloox/base64.h
+include/gloox/bookmarkhandler.h
+include/gloox/bookmarkstorage.h
+include/gloox/bytestream.h
+include/gloox/bytestreamdatahandler.h
+include/gloox/bytestreamhandler.h
+include/gloox/capabilities.h
+include/gloox/carbons.h
+include/gloox/chatstate.h
+include/gloox/chatstatefilter.h
+include/gloox/chatstatehandler.h
+include/gloox/client.h
+include/gloox/clientbase.h
+include/gloox/component.h
+include/gloox/compressionbase.h
+include/gloox/compressiondatahandler.h
+include/gloox/compressiondefault.h
+include/gloox/connectionbase.h
+include/gloox/connectionbosh.h
+include/gloox/connectiondatahandler.h
+include/gloox/connectionhandler.h
+include/gloox/connectionhttpproxy.h
+include/gloox/connectionlistener.h
+include/gloox/connectionsocks5proxy.h
+include/gloox/connectiontcpbase.h
+include/gloox/connectiontcpclient.h
+include/gloox/connectiontcpserver.h
+include/gloox/connectiontls.h
+include/gloox/connectiontlsserver.h
+include/gloox/dataform.h
+include/gloox/dataformfield.h
+include/gloox/dataformfieldcontainer.h
+include/gloox/dataformitem.h
+include/gloox/dataformreported.h
+include/gloox/delayeddelivery.h
+include/gloox/disco.h
+include/gloox/discohandler.h
+include/gloox/disconodehandler.h
+include/gloox/error.h
+include/gloox/event.h
+include/gloox/eventdispatcher.h
+include/gloox/eventhandler.h
+include/gloox/featureneg.h
+include/gloox/flexoff.h
+include/gloox/flexoffhandler.h
+include/gloox/forward.h
+include/gloox/gloox.h
+include/gloox/glooxversion.h
+include/gloox/gpgencrypted.h
+include/gloox/gpgsigned.h
+include/gloox/inbandbytestream.h
+include/gloox/instantmucroom.h
+include/gloox/iq.h
+include/gloox/iqhandler.h
+include/gloox/jid.h
+include/gloox/jinglecontent.h
+include/gloox/jinglefiletransfer.h
+include/gloox/jingleiceudp.h
+include/gloox/jingleplugin.h
+include/gloox/jinglepluginfactory.h
+include/gloox/jinglesession.h
+include/gloox/jinglesessionhandler.h
+include/gloox/jinglesessionmanager.h
+include/gloox/jingletransport.h
+include/gloox/lastactivity.h
+include/gloox/lastactivityhandler.h
+include/gloox/linklocal.h
+include/gloox/linklocalclient.h
+include/gloox/linklocalhandler.h
+include/gloox/linklocalmanager.h
+include/gloox/loghandler.h
+include/gloox/logsink.h
+include/gloox/macros.h
+include/gloox/md5.h
+include/gloox/message.h
+include/gloox/messageevent.h
+include/gloox/messageeventfilter.h
+include/gloox/messageeventhandler.h
+include/gloox/messagefilter.h
+include/gloox/messagehandler.h
+include/gloox/messagesession.h
+include/gloox/messagesessionhandler.h
+include/gloox/mucinvitationhandler.h
+include/gloox/mucroom.h
+include/gloox/mucroomconfighandler.h
+include/gloox/mucroomhandler.h
+include/gloox/mutex.h
+include/gloox/mutexguard.h
+include/gloox/nickname.h
+include/gloox/oob.h
+include/gloox/parser.h
+include/gloox/presence.h
+include/gloox/presencehandler.h
+include/gloox/privacyitem.h
+include/gloox/privacylisthandler.h
+include/gloox/privacymanager.h
+include/gloox/privatexml.h
+include/gloox/privatexmlhandler.h
+include/gloox/pubsub.h
+include/gloox/pubsubevent.h
+include/gloox/pubsubitem.h
+include/gloox/pubsubmanager.h
+include/gloox/pubsubresulthandler.h
+include/gloox/receipt.h
+include/gloox/registration.h
+include/gloox/registrationhandler.h
+include/gloox/resource.h
+include/gloox/rosteritem.h
+include/gloox/rosterlistener.h
+include/gloox/rostermanager.h
+include/gloox/search.h
+include/gloox/searchhandler.h
+include/gloox/sha.h
+include/gloox/shim.h
+include/gloox/sihandler.h
+include/gloox/simanager.h
+include/gloox/siprofileft.h
+include/gloox/siprofilefthandler.h
+include/gloox/siprofilehandler.h
+include/gloox/socks5bytestream.h
+include/gloox/socks5bytestreammanager.h
+include/gloox/socks5bytestreamserver.h
+include/gloox/softwareversion.h
+include/gloox/stanza.h
+include/gloox/stanzaextension.h
+include/gloox/statisticshandler.h
+include/gloox/subscription.h
+include/gloox/subscriptionhandler.h
+include/gloox/tag.h
+include/gloox/taghandler.h
+include/gloox/tlsbase.h
+include/gloox/tlsdefault.h
+include/gloox/tlshandler.h
+include/gloox/uniquemucroom.h
+include/gloox/util.h
+include/gloox/vcard.h
+include/gloox/vcardhandler.h
+include/gloox/vcardmanager.h
+include/gloox/vcardupdate.h
+include/gloox/xhtmlim.h
 lib/libgloox.a
 lib/libgloox.la
 lib/libgloox.so
-lib/libgloox.so.8
+lib/libgloox.so.11
+lib/libgloox.so.11.0.0
 libdata/pkgconfig/gloox.pc
+@dirrm include/gloox

Modified: head/net-im/licq-jabber/Makefile
==============================================================================
--- head/net-im/licq-jabber/Makefile	Wed Feb 19 23:26:09 2014	(r345162)
+++ head/net-im/licq-jabber/Makefile	Wed Feb 19 23:30:13 2014	(r345163)
@@ -2,7 +2,7 @@
 
 PORTNAME=	jabber
 PORTVERSION=	1.8.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	net-im
 
 MAINTAINER=	dinoex@FreeBSD.org
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Danilo Egea Gondolfo freebsd_committer 2014-02-19 23:48:05 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!